using System;
using System .Collections .Generic;
using System .Drawing;
using System .Windows .Forms;

namespace Test_MoveGraphLibrary
{
    public static class TMGL_Common
    {
        // =================================================        OneColumnPanelInfo
        public static void OneColumnPanelInfo (Form form, Panel panel, Font font, string [] cmnts,
                                               out int cyLine)
        {
            Graphics grfx = form .CreateGraphics ();
            int nW = 0;
            int nH = 0;
            cyLine = 0;
            for (int i = 0; i < cmnts .Length; i++)
            {
                SizeF sizef = grfx .MeasureString (cmnts [i], font);
                nW = Math .Max (nW, Convert .ToInt32 (sizef .Width));
                cyLine = Convert .ToInt32 (sizef .Height);
                nH += cyLine;
            }
            grfx .Dispose ();
            panel .Width = nW;
            panel .Height = nH + 6;
        }
    }
}
